Skip to content
RosettaChat

Post a message into a channel via webhook.

POST
/api/v1/webhooks/{webhook_id}/messages
webhook_id
required
string

The ID of the webhook.

Example
architecto
object
content
required

Message text.

string
channel_id

Optional channel in the webhook Workspace; otherwise uses its default channel.

string
nullable
skip_translation
boolean
ai_processing_authorized

Explicit authority to send this message to AI. The sending account must also have current AI consent.

boolean